### Method

# Secret Service lookup

#### Declaration [src]

    void
    secret_service_lookup (
      SecretService* service,
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Lookup a secret value in the secret service.

The `attributes` should be a set of key and value string pairs.

If `service` is `NULL`, then `secret_service_get()` will be called to get the default `SecretService` proxy.

This method will return immediately and complete asynchronously.

#### Parameters

`schema` | `SecretSchema`
| The schema for the attributes.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`attributes` | `GHashTable`
| The attribute keys and values.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to be passed to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.